<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Cacti Trees</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="cacti-trees">Cacti Trees</h1>
<h2 id="trees">Trees</h2>
<p>A <strong>Tree</strong> can be thought of as a hierarchical way of organizing your graphs. Each <strong>Tree</strong> consists of zero or more branchs that contain leaf nodes such as <strong>Graphs</strong>, <strong>Devices</strong> and <strong>Sites</strong>. It's a very powerful way of organizing your <strong>Graphs</strong>.</p>
<p>Below we can see the current <strong>Trees</strong> we have setup on our Cacti server. To get to this screen click <code>Console &gt; Managment &gt; Trees</code>.</p>
<p>From this page you can add or remove <strong>Trees</strong> as required.</p>
<p><img src="images/trees.png" alt="Tree Management Page" /></p>
<p>Below is how a <strong>Tree</strong> is displayed in <strong>Graph View</strong>. We can see the <strong>Device</strong> that is being monitored - clicking on this <strong>Device</strong> will result in seeing all of the <strong>Graph</strong> data generated for the <strong>Device</strong>.</p>
<p><img src="images/tree-view.png" alt="Tree View" /></p>
<h2 id="creating-a-tree">Creating a Tree</h2>
<p>To create a new tree simply click the Add button (+) on the top right hand corner and enter a name for your <strong>Tree</strong>. After the tree has been created you will see the below page where you are able to add <strong>Devices</strong> to the <strong>Tree</strong>.</p>
<p><img src="images/tree-options.png" alt="Tree Options" /></p>
<p>To add devices to the new tree simply drag an avaliable device to the tree and it will be added to the tree. Cacti currently supports four <code>Sort Types</code>, which can be either inherited, of left to the author to define inheritance and at what level. See the image below for a visual representation of how Tree Sorting is accomplished.</p>
<p><img src="images/tree-options-sorting.png" alt="Tree Sorting" /></p>
<h6 id="table-8-1-tree-sporting-type-definitions">Table 8-1. Tree Sporting Type Definitions</h6>
<table>
<thead>
<tr class="header">
<th>Field</th>
<th>Value</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Name</td>
<td>Name of the tree entry.</td>
<td>The sort order of all trees themselves is always alphabetical</td>
</tr>
<tr class="even">
<td>Sorting Type</td>
<td>Manual Ordering (No Sorting)</td>
<td>You may chance the sequence at your will</td>
</tr>
<tr class="odd">
<td>Alphabetical Ordering</td>
<td>1, Ab, ab</td>
<td>All sub-trees are ordered alphabetically, unless specifies otherwise (you may chance sort options at sub-tree label)</td>
</tr>
<tr class="even">
<td>Natural Ordering</td>
<td>ab1, ab2, ab7, ab10, ab20</td>
<td>N/A</td>
</tr>
<tr class="odd">
<td>Numeric Ordering</td>
<td>01, 02, 4, 04</td>
<td>Leading zeroes are not taken into account when ordering numerically</td>
</tr>
</tbody>
</table>
<p>End users will not be able to view the <strong>Tree</strong> or it's Graphs until you publish it. To edit a <strong>Tree</strong>, you will be required to lock it for your use. The locking is designed to prevent multiple users from editing a <strong>Tree</strong> simultaneously.</p>
<p>When a Tree is locked, you can drag &amp; drop the <strong>Sites</strong>, <strong>Devices</strong> and <strong>Graphs</strong> over to the Tree menu. To add a 'Root Branch', simply press the button to do so, once you have Root Branches, you may right click on the to create sub-branches on the Tree.</p>
<p>When you single click on a <strong>Site</strong>, the <strong>Devices</strong>, and <strong>Graphs</strong> associated with that <strong>Site</strong> should appear in their respective sections. You can also type into the Search fields above the various sections to drill into them. You can also shift-click and control-click on the objects within a section to drag &amp; drop multiple objects at one time.</p>
<p>Don't forget to unlock your <strong>Tree</strong> before finishing your editing session.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
